Package org.silverpeas.processmanager

## Class ReassignmentReport

- java.lang.Object
- - org.silverpeas.processmanager.ReassignmentReport

-     public class ReassignmentReport
      extends Object

  This class allows to write reporting about reassignment processes.

  It is based upon the `SilverLogger` API in order to get the logging features.

  The log data can be retrieved into `$SILVERPEAS_HOME/log/silverpeas-workflow -reassignment.log` file.

  When getting a new instance of the report, a timestamp is generated. It is used into logged data when DEBUG level is set to the logger namespace `silverpeas.components .processmanager.reassignment`

  Author:
    silveryocha

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReassignmentReport​(ProcessManagerSessionController controller, String incumbentId, String substituteId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `end()` |
    `void` | `end​(org.silverpeas.core.workflow.api.WorkflowException e)` | Reports end of reassignment processing with error.
    `void` | `start()` | Reports start of the reassignment processing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReassignmentReport

          public ReassignmentReport​(ProcessManagerSessionController controller,
                                    String incumbentId,
                                    String substituteId)

  - ### Method Detail

    - #### start

          public void start()

      Reports start of the reassignment processing.

      According to logger level, more or less data are written into log file.

    - #### end

          public void end()

      See Also:
        `end(WorkflowException)`

    - #### end

          public void end​(org.silverpeas.core.workflow.api.WorkflowException e)

      Reports end of reassignment processing with error.

      Main log data are written.

      According to logger level, more or less data could be additionally written.

      If the given exception exists, the message of the error is written into logs.